Get Organization Subscription Details
get
/v1/billing/subscriptions/{org_id}/subscription/{subscription_id}Part of Billing.
Authentication
Authenticate in any one of these ways — not all of them:
- API key in the
X-API-Keyheader. - Bearer token in the
Authorizationheader.
Path parameters
| Name | Type | Description |
|---|---|---|
org_idrequired | string | Org Id |
subscription_idrequired | string | Subscription Id |
Example request
curl
curl -X GET "https://api.robosystems.ai/v1/billing/subscriptions/{org_id}/subscription/{subscription_id}" \
-H "X-API-Key: $ROBOSYSTEMS_API_KEY"Responses
200 Successful Response
| Field | Type | Description |
|---|---|---|
idrequired | string | Subscription ID |
resource_typerequired | string | Resource type (graph or repository) |
resource_idrequired | string | Resource identifier |
user_idoptional | string | Organization member the subscription belongs to. Set for repository subscriptions, which are billed to the org but granted per user. |
plan_namerequired | string | Current plan name |
plan_display_namerequired | string | Human-readable plan name for UI display |
billing_intervalrequired | string | Billing interval |
statusrequired | string | Subscription status |
base_price_centsrequired | integer | Base price in cents |
current_period_startoptional | string | Current billing period start |
current_period_endoptional | string | Current billing period end |
started_atoptional | string | Subscription start date |
canceled_atoptional | string | Cancellation date |
ends_atoptional | string | Subscription end date (when access will be revoked, especially relevant for cancelled subscriptions) |
created_atrequired | string | Creation timestamp |
operation_idoptional | string | Operation ID for tracking async tier changes via SSE |
| Status | Meaning |
|---|---|
| 400 | Invalid request |
| 401 | Authentication required |
| 403 | Access denied |
| 404 | Resource not found |
| 422 | Validation Error |
| 429 | Rate limit exceeded |
| 500 | Internal server error |